Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class RotatableShapeEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gef.editpolicies.SelectionEditPolicy
                  org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
                      org.eclipse.gef.editpolicies.NonResizableEditPolicy
                          org.eclipse.gef.editpolicies.ResizableEditPolicy
                              org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableEditPolicyEx
                                  org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableShapeEditPolicy
                                      org.eclipse.gmf.runtime.diagram.ui.editpolicies.RotatableShapeEditPolicy

All Implemented Interfaces:
  EditPolicy, IAdaptable, RequestConstants

public class RotatableShapeEditPolicy
extends ResizableShapeEditPolicy

A rotatable editpolicy for rotating fork and join itparts It rotates the figure if diagonal handlers are dragged and resizes the figure otherwise as defined by the superclass

Field Summary

Fields inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`handles`

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`RotatableShapeEditPolicy()`

Method Summary
`protected Handle` `createRotationHandle(GraphicalEditPart owner, int direction)` Create rotate handle with a rotate tracker
`protected java.util.List` `createSelectionHandles()`
`protected Command` `getResizeCommand(ChangeBoundsRequest request)`
`protected void` `showChangeBoundsFeedback(ChangeBoundsRequest request)` Shows or updates feedback for a change bounds request that is seen as rotation

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableShapeEditPolicy
`createDragSourceFeedbackFigure, getAdapter, getAutoSizeCommand, getCommand, getMoveDeferredCommand, understandsRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableEditPolicyEx
`addSelectionHandles, eraseSourceFeedback, getTargetEditPart, replaceHandleDragEditPartsTracker, showSourceFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.ResizableEditPolicy
`getResizeDirections, setResizeDirections`

Methods inherited from class org.eclipse.gef.editpolicies.NonResizableEditPolicy
`deactivate, eraseChangeBoundsFeedback, getAlignCommand, getDragSourceFeedbackFigure, getInitialFeedbackBounds, getMoveCommand, getOrphanCommand, hideFocus, isDragAllowed, setDragAllowed, showFocus`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`hideSelection, removeSelectionHandles, showSelection`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy
`activate, addSelectionListener, removeSelectionListener, setFocus, setSelectedState, showPrimarySelection`

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RotatableShapeEditPolicy

    public RotatableShapeEditPolicy()

Method Detail

### createSelectionHandles

    protected java.util.List createSelectionHandles()

### createRotationHandle

    protected Handle createRotationHandle(GraphicalEditPart owner,
                                          int direction)

  Create rotate handle with a rotate tracker

  Parameters:
    `owner` - the owner edit part
    `direction` - the handle direction
  Returns:
    the handle

### showChangeBoundsFeedback

    protected void showChangeBoundsFeedback(ChangeBoundsRequest request)

  Shows or updates feedback for a change bounds request that is seen as rotation

  Overrides:
    `showChangeBoundsFeedback` in class `ResizableEditPolicyEx`
  Parameters:
    `request` - the request

### getResizeCommand

    protected Command getResizeCommand(ChangeBoundsRequest request)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.